d3.csv('https://gist.githubusercontent.com/pavan0828/7c9d7d7d6dfab08a93282330c97cf780/raw/fccc0ca3fcc52c003bc629f1003aaff6d370efcc/ICE9.csv', function(err, rows){

// creating a function to read csv file and return the attribute values as array  
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}
  
//define the trace attributes for the plotly data
var trace2 = {
	x:unpack(rows, 'Height'), 
  y:unpack(rows, 'Weight'), 
  z:unpack(rows, 'Mileage'),
	mode: 'markers',
	marker: {
		color: 'black',
		size: 12,
		symbol: 'circle',
		line: {
		color: 'black',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};

var data = [trace2];
  
//define the layouts -margin, axes value adn stules for the plotly data  
var layout = {
  margin: {
	l: 1,
	r: 1,
	b: 1,
	t: 1},
  scene: {
    xaxis: {
      title: 'Height (feet)',
      titlefont: {
         color: 'blue',
         
         size: 12
      }
    },
    yaxis: {
      title: 'Weight (tons)',
      titlefont: {
         color: 'black',
  
         size: 12
      }
    },
  zaxis: {
      title: 'Mileage (mpg)',
      titlefont: {
         color: 'green',
         size: 12
      }
    }
   }
  };
  
// call the plotly newPlot method to plot the data
Plotly.newPlot('myDiv', data, layout);
});
